<br>
<?php

/************************************************************************/
/* NuCalendar                                                           */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2003 by Bill Smith                                     */
/* http://www.vettesofthetropics.com                                    */
/*                                                                      */
/* Based on Web Calendar                                                */
/* Copyright (c) 2001 by Proverbs, LLC                                  */
/* http://www.proverbs.biz                                              */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/*
 *  ©2001 Proverbs, LLC. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it withthe following stipulations:
 *  Changes or modifications must retain all Copyright statements, including, but not limited to the Copyright statement
 *  and Proverbs, LLC homepage link provided at the bottom of this page.
 */

   require_once("modules/$module_name/printevent.php");
   require_once("modules/$module_name/dbaccess.inc.php");
   require_once("modules/$module_name/datefuncs.php");
   get_lang($module_name);

   if (!isset($month) || $month == "" || $month > 12 || $month < 1)
   {
      $month = date("m");
   }
   if (!isset($year) || $year == "" || $year < 1972 || $year > 2036)
   {
      $year = date("Y");
   }
   if (!isset($day) || $day == "")
   {
      $day = date("d");
   }

   if (!checkdate($month, $day, $year))
   {
      $month = date("m");
      $year = date("Y");
      $day = date("d");
   }
   $dayofweek = date("w", mktime(0, 0, 0, $month, $day, $year));

   global $dbi, $user_prefix;
   $sql = "";
   $sql = "SELECT * FROM ".$user_prefix."_nucal_events WHERE id='$eventid'";

   $eventresult = sql_query($sql, $dbi);
   $event = sql_fetch_array($eventresult, $dbi);

   if (isset($printing)) {
	echo'<html><head>
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
		<meta name="index" content="no">
		<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
		<title>'._VIEW_MONTH_TITLE.'</title>
		<body>';
   }
?>
<center>
<table border="3" cellpadding="0" cellspacing="0" width="560">
<tr>
<?php
	PrintEventDateHeader($month, $day, $year);
	echo PrintEvent($event, $month, $day, $year);
?>	
	<hr>
<?php
	if (isset($printing) || $printing == 1)
		$showprintlink = 0;
	else
		$showprintlink = 1;

	PrintEventFooter("ShowDay", $month, $day, $year, $eventid, $showprintlink, "ShowEvent", _VIEW_DAY_VIEW_DAY);
?>
</td>

</tr>
</table>
</center>
<?php
        if (isset($printing)) {
		echo "</head></html>";
	}
?>
