<?php

/************************************************************************/
/* NuCalendar                                                           */
/* ===========================                                          */
/*                                                                      */
/* Copyright (c) 2003 by Bill Smith                                     */
/* http://www.vettesofthetropics.com                                    */
/*                                                                      */
/* Based on Web Calendar                                                */
/* Copyright (c) 2001 by Proverbs, LLC                                  */
/* http://www.proverbs.biz                                              */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

/*
 *  2001 Proverbs, LLC. All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it withthe following stipulations:
 *  Changes or modifications must retain all Copyright statements, including, but not limited to the Copyright statement
 *  and Proverbs, LLC homepage link provided at the bottom of this page.
 */

   require_once("modules/$module_name/dbaccess.inc.php");
   require_once("modules/$module_name/printevent.php");
   get_lang($module_name);

   if (!isset($day) || $day = "" || $day > 31 || $day < 1) {
	$day = date("d");
   }

   if (!isset($month) || $month == "" || $month > 12 || $month < 1)
   {
      $month = date("m");
   }
   if (!isset($year) || $year == "" || $year < 1972 || $year > 2036)
   {
      $year = date("Y");
   }

   $timestamp = mktime(0, 0, 0, $month, 1, $year);
   
   $current = GetMonthName($month) . " " . $year;

   if ($month < 2)
   {
      $prevmonth = 12;
      $prevyear = $year - 1;
   }
   else
   {
      $prevmonth = $month - 1;
      $prevyear = $year;
   }

   if ($month > 11)
   {
      $nextmonth = 1;
      $nextyear = $year + 1;
   }
   else
   {
      $nextmonth = $month + 1;
      $nextyear = $year;
   }

   $backward = GetMonthName($prevmonth) . " " . $prevyear;
   $forward = GetMonthName($nextmonth) . " " . $nextyear;

   $first =  DotWForFirstDay($month, $year);
   
   $lastday = NumDaysInMonth($month, $year);
   
   
   function AddDay($fday, $fmonth, $fyear, $fvar, $colors)
   {
      if (!isset($fday) || $fday == "")
      {
         echo '	<TD class="calendar" align="left" valign="top" width="14%" height=70>
		&nbsp;
';
      }
      else
      {
         $schurl = 'modules.php?name=Kalender&op=ShowDay&day='.$fday.'&month='.$fmonth.'&year='.$fyear;
         echo '<a href='.$schurl.'>';
         if (date("m") == $fmonth && date("Y") == $fyear && date("j") == $fday)
         {
            echo '	<TD ID="day'.$fday.'" border=2 align=left bgcolor=#'.$colors[month_today_color].'  style="cursor: hand" align="left" valign="top" width="14%" height=70 
		onMouseOver="tdmouseover(\'day'.$fday.'\')"; onMouseOut="tdcurmouseout(\'day'.$fday.'\')";">
';
         }
         else
         {
//            echo '';
//              <TD ID="day'.$fday.'" class="otherday" style="cursor: hand" align="left" valign="top" width="14%" height=70 
//		onMouseOver="tdmouseover(\'day'.$fday.'\')"; onMouseOut="tdmouseout(\'day'.$fday.'\')";">
//';
			echo '	<TD ID="day'.$fday.'" align=left bgcolor=#'.$colors[month_day_color].' style="cursor: hand" align="left" valign="top" width="14%" height=70 
		onMouseOver="tdmouseover(\'day'.$fday.'\')"; onMouseOut="tdmouseout(\'day'.$fday.'\')";">
';

         }
         echo '		<b><a href=' . $schurl . '>' .$fday.'</a></b><br>
';
         if (isset($fvar) && $fvar != "")
         {
         
//            echo '<A class=\'calendar\' style="cursor: hand" onClick=document.open("' .$schurl . '");">';
         
//            echo '		<A class=\'calendar\' style="cursor: hand" onClick="javascript:document.open(\''.$schurl.'\');">
//';
            echo '		'.$fvar;
//		</A>';
         }
      }
      echo '	</TD></A>
';
   }

   function FillDay($dayofweek, $dayofmonth, $thismonth, $thisyear)
   {
      	$textbody = '';
	$events = Calendar_GetAllEventsOn($thismonth, $dayofmonth, $thisyear, $dayofweek);

        foreach ($events as $event) {
                $textbody .= "<li>" . PrintShortEvent($event, $thismonth, $dayofmonth, $thisyear).'</li>';

        } 

      return $textbody;
   }

	global $dbi, $user_prefix;

	if (isset($printing)) {
		echo'<html><head>
			<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
			<meta name="index" content="no">
			<meta HTTP-EQUIV="Pragma" CONTENT="no-cache">
			<title>'.$caloptionsrow[calendar_title].'</title>
			<body>';
	}

	$caloptions = sql_query("SELECT * FROM ".$user_prefix."_nucal_options WHERE 1", $dbi);
        $caloptionsrow = sql_fetch_array($caloptions, $dbi);


	echo '
	<SCRIPT LANGUAGE="JavaScript">
	<!-- 
		var isIE;
		isIE = (document.all) ? true : false;

		function tdmouseover(itemID)
		{
		   if(isIE)
		   {
		      var theObj = eval("document.all." + itemID);
			
		      theObj.style.backgroundColor = \'#'.$caloptionsrow[month_hover_color].'\';
		   }
		}

		function tdmouseout(itemID)
		{
		   if(isIE)
		   {
		      var theObj = eval("document.all." + itemID);

		      theObj.style.backgroundColor = \'#'.$caloptionsrow[month_day_color].'\';
		   }
		}
		
		function tdcurmouseout(itemID)
		{
		   if(isIE)
		   {
		      var theObj = eval("document.all." + itemID);

		      theObj.style.backgroundColor = \'#'.$caloptionsrow[month_today_color].'\';
		   }
		}
	//-->
	        </SCRIPT>
';

	echo '<br>
	<center><font class="title">'.$caloptionsrow[calendar_title].'</font></center>
	<CENTER>
	<TABLE border="3" cellspacing=0 cellpadding=0 width="100%">
	<TR>
	<p>
	<p>
	<TD class="form" align="center" valign="bottom" width="100%" COLSPAN=7>
		<FORM METHOD="post" ACTION="modules.php?name=Kalender">
		<TABLE cellspacing=0 cellpadding=0 width="100%" border=0>
		<TR>
		<TD class="form" align="left" valign="bottom">
			<b>'._VIEW_MONTH_TODAYS_DATE.'</b> '. GetMonthDayYearText($month, $day, $year).'
		</TD>
		<TD class="form" align="left" valign="bottom">
			<b>'._VIEW_MONTH_MONTH.'</b> <select name="month">
';
			for ($j=1;$j<=12;$j++)
			{
			   echo'<option value='.$j;
			   if ($month == $j)
			   {
			      echo ' selected';
			   }
			   echo '>'.GetMonthName($j).'
			   ';
			}
			echo '			</select>			
		         &nbsp;&nbsp;<b>'._VIEW_MONTH_YEAR.'</b> <select name="year">
';
			for ($j=2003;$j<=2036;$j++)
			{
			   echo'<option value='.$j;
			   if ($year == $j)
			   {
			      echo ' selected';
			   }
			   echo '>'.$j.'
			   ';
			}
			echo '			</select>
			 &nbsp;&nbsp;<input type="submit" value="'._VIEW_MONTH_GOTO_MONTH.'">			
		    </select></TD>
		<TD class="form" align="right" valign="bottom">';

		PrintSubmitEventLink();

            echo '<br>
            ';
            
            if (!isset($printing))
            	echo '<a href="#" onClick=window.open("modules.php?name=Kalender&printing=1&day=' . $day . '&month=' . $month . '&year=' . $year . '","ec_window_11190874","width=800,height=600,resizable=yes,scrollbars=1,toolbar=1");>'._PRINTER_FRIENDLY_VERSION.'</a>';
       echo'</TD>
		</TR>
		</TABLE>
		</FORM>
	</TD>	
	</TR>
	<TR>
	<TD align="center" valign="middle" height=60 COLSPAN=7>
		<TABLE cellspacing=0 cellpadding=0 width="100%" border=0>
		<TR>
		<TD class="ends" nowrap align="center" valign="bottom">
			<A HREF="modules.php?name=Kalender&month='.$prevmonth.'&year='.$prevyear.'"><< '.$backward.'</a>
		</TD>
		<TD class="top" nowrap align="center" valign="middle" width="100%">
';
   if ($caloptionsrow[calendar_title_image] != "") {
	echo "<img src=".$caloptionsrow[calendar_title_image]."></br>";
   } 
   echo $caloptionsrow[calendar_title];

   echo '<br>'.$current.'
		</TD>
		<TD class="ends" nowrap align="center" valign="bottom">
			<A HREF="modules.php?name=Kalender&month='.$nextmonth.'&year='.$nextyear.'">'.$forward.' >></a>
		</TD>
		</TR>
		</TABLE>
	</TD>
	</TR>
	<TR>
	<TD class="days" nowrap align="center" valign="middle" width="15%" height=40>
	'._VIEW_MONTH_SUNDAY.'	
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="14%" height=40>
	'._VIEW_MONTH_MONDAY.'	
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="14%" height=40>
	'._VIEW_MONTH_TUESDAY.'
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="14%" height=40>
	'._VIEW_MONTH_WEDNESDAY.'		
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="14%" height=40>
	'._VIEW_MONTH_THURSDAY.'
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="14%" height=40>
	'._VIEW_MONTH_FRIDAY.'	
	</TD>
	<TD class="days" nowrap align="center" valign="middle" width="15%" height=40>
	'._VIEW_MONTH_SATURDAY.'	
	</TD>
	</TR>
';
   $calday = 1;
   while ($calday <= $lastday)
   {
      echo '<TR>';
      for ($j=0;$j<7;$j++)
      {
         if ($calday == 1)
         {
            if ($first == $j)
            {
               $info = FillDay($j, $calday, $month, $year);
               AddDay($calday, $month, $year, $info, $caloptionsrow);
               $calday++;
            }
            else
            {
               AddDay('', '', '', '', $caloptionsrow);
            }
         }
         else
         {
            if ($calday > $lastday)
            {
               AddDay('', '', '', '', $caloptionsrow);
            }
            else
            {
               $info = FillDay( $j, $calday, $month, $year);
               AddDay($calday, $month, $year, $info, $caloptionsrow);
               $calday++;
            }
         }
      }
      echo '</TR>';
   }
   echo '</TABLE> </CENTER>';

if (isset($printing)) {
	echo'</body></html>';
}


?>
